List Monitors
import requests
url = "https://api.parallel.ai/v1alpha/monitors/list"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.parallel.ai/v1alpha/monitors/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.parallel.ai/v1alpha/monitors/list")
.header("x-api-key", "<api-key>")
.asString();curl --request GET \
--url https://api.parallel.ai/v1alpha/monitors/list \
--header 'x-api-key: <api-key>'{
"data": [
{
"monitor_id": "monitor_b0079f70195e4258a3b982c1b6d8bd3a",
"query": "Extract recent news about AI",
"status": "active",
"frequency": "1d",
"metadata": {
"key": "value"
},
"webhook": {
"url": "https://example.com/webhook",
"event_types": [
"monitor.event.detected"
]
},
"created_at": "2025-04-23T20:21:48.037943Z"
}
],
"next_cursor": "eyJjYSI6ICIyMDI1LTA0LTIzVDIwOjIxOjQ4WiIsICJtaWQiOiAibW9uXzEyMyJ9"
}{
"type": "error",
"error": {
"ref_id": "fcb2b4f3-c75e-4186-87bc-caa1a8381331",
"message": "Unauthorized: invalid or missing credentials"
}
}{
"type": "error",
"error": {
"ref_id": "fcb2b4f3-c75e-4186-87bc-caa1a8381331",
"message": "Request validation error"
}
}Monitor (Alpha)
List Monitors
List active monitors ordered by creation time, newest first.
Returns active monitors for the authenticated client, sorted by created_at
descending. limit defaults to 100. Use next_cursor from the response
and pass it as cursor to fetch the next page. Pagination ends when
next_cursor is absent.
GET
/
v1alpha
/
monitors
/
list
List Monitors
import requests
url = "https://api.parallel.ai/v1alpha/monitors/list"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.parallel.ai/v1alpha/monitors/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.parallel.ai/v1alpha/monitors/list")
.header("x-api-key", "<api-key>")
.asString();curl --request GET \
--url https://api.parallel.ai/v1alpha/monitors/list \
--header 'x-api-key: <api-key>'{
"data": [
{
"monitor_id": "monitor_b0079f70195e4258a3b982c1b6d8bd3a",
"query": "Extract recent news about AI",
"status": "active",
"frequency": "1d",
"metadata": {
"key": "value"
},
"webhook": {
"url": "https://example.com/webhook",
"event_types": [
"monitor.event.detected"
]
},
"created_at": "2025-04-23T20:21:48.037943Z"
}
],
"next_cursor": "eyJjYSI6ICIyMDI1LTA0LTIzVDIwOjIxOjQ4WiIsICJtaWQiOiAibW9uXzEyMyJ9"
}{
"type": "error",
"error": {
"ref_id": "fcb2b4f3-c75e-4186-87bc-caa1a8381331",
"message": "Unauthorized: invalid or missing credentials"
}
}{
"type": "error",
"error": {
"ref_id": "fcb2b4f3-c75e-4186-87bc-caa1a8381331",
"message": "Request validation error"
}
}Authorizations
Query Parameters
Opaque pagination token returned as next_cursor in a previous response. Omit to start from the most recently created monitor.
Maximum number of monitors to return. Defaults to 100. Between 1 and 10000.
Required range:
1 <= x <= 10000Response
Successful Response
Paginated list of monitors with an opaque cursor for fetching the next page.